Loading...
Searching...
No Matches
nc4grp.c File Reference
`#include "nc4internal.h"`
`#include "nc4dispatch.h"`
Include dependency graph for nc4grp.c:

Go to the source code of this file.

## Functions

int | int_cmp (const void *a, const void *b)
int | NC4_inq_dimids (int ncid, int *ndims, int *dimids, int include_parents)
int | NC4_inq_grp_full_ncid (int ncid, const char *full_name, int *grp_ncid)
int | NC4_inq_grp_parent (int ncid, int *parent_ncid)
int | NC4_inq_grpname (int ncid, char *name)
int | NC4_inq_grpname_full (int ncid, size_t *lenp, char *full_name)
int | NC4_inq_grps (int ncid, int *numgrps, int *ncids)
int | NC4_inq_ncid (int ncid, const char *name, int *grp_ncid)
int | NC4_inq_varids (int ncid, int *nvars, int *varids)

## Function Documentation

## int_cmp()

int int_cmp | ( | const void * | a,
|  | const void * | b )

Definition at line 389 of file nc4grp.c.

## NC4_inq_dimids()

int NC4_inq_dimids | ( | int | ncid,
|  | int * | ndims,
|  | int * | dimids,
|  | int | include_parents )

Definition at line 412 of file nc4grp.c.

## NC4_inq_grp_full_ncid()

int NC4_inq_grp_full_ncid | ( | int | ncid,
|  | const char * | full_name,
|  | int * | grp_ncid )

Definition at line 275 of file nc4grp.c.

## NC4_inq_grp_parent()

int NC4_inq_grp_parent | ( | int | ncid,
|  | int * | parent_ncid )

Definition at line 235 of file nc4grp.c.

## NC4_inq_grpname()

int NC4_inq_grpname | ( | int | ncid,
|  | char * | name )

Definition at line 132 of file nc4grp.c.

## NC4_inq_grpname_full()

int NC4_inq_grpname_full | ( | int | ncid,
|  | size_t * | lenp,
|  | char * | full_name )

Definition at line 168 of file nc4grp.c.

## NC4_inq_grps()

int NC4_inq_grps | ( | int | ncid,
|  | int * | numgrps,
|  | int * | ncids )

Definition at line 84 of file nc4grp.c.

## NC4_inq_ncid()

int NC4_inq_ncid | ( | int | ncid,
|  | const char * | name,
|  | int * | grp_ncid )

Definition at line 32 of file nc4grp.c.

## NC4_inq_varids()

int NC4_inq_varids | ( | int | ncid,
|  | int * | nvars,
|  | int * | varids )

Definition at line 344 of file nc4grp.c.